# This file is generated by make.paws. Please do not edit here.
#' @importFrom paws.common new_handlers new_service set_config
NULL

#' Amazon Personalize Events
#'
#' 
#'
#' @param
#' config
#' Optional configuration of credentials, endpoint, and/or region.
#'
#' @section Service syntax:
#' ```
#' svc <- personalizeevents(
#'   config = list(
#'     credentials = list(
#'       creds = list(
#'         access_key_id = "string",
#'         secret_access_key = "string",
#'         session_token = "string"
#'       ),
#'       profile = "string"
#'     ),
#'     endpoint = "string",
#'     region = "string"
#'   )
#' )
#' ```
#'
#' @examples
#' \donttest{svc <- personalizeevents()
#' svc$put_events(
#'   Foo = 123
#' )}
#'
#' @section Operations:
#' \tabular{ll}{
#'  \link[=personalizeevents_put_events]{put_events} \tab Records user interaction event data
#' }
#'
#' @rdname personalizeevents
#' @export
personalizeevents <- function(config = list()) {
  svc <- .personalizeevents$operations
  svc <- set_config(svc, config)
  return(svc)
}

# Private API objects: metadata, handlers, interfaces, etc.
.personalizeevents <- list()

.personalizeevents$operations <- list()

.personalizeevents$metadata <- list(
  service_name = "personalizeevents",
  endpoints = list("*" = list(endpoint = "personalizeevents.{region}.amazonaws.com", global = FALSE), "cn-*" = list(endpoint = "personalizeevents.{region}.amazonaws.com.cn", global = FALSE)),
  service_id = "Personalize Events",
  api_version = "2018-03-22",
  signing_name = "personalize",
  json_version = "1.1",
  target_prefix = ""
)

.personalizeevents$handlers <- new_handlers("restjson", "v4")

.personalizeevents$service <- function(config = list()) {
  new_service(.personalizeevents$metadata, .personalizeevents$handlers, config)
}
